oro_menu_config:
    items:
        task_list:
            label: 'orocrm.task.entity_plural_label'
            route: 'orocrm_task_index'
            extras:
                position: 10
                routes: ['orocrm_task_*']
                description: 'orocrm.task.menu.task_list.description'

        orocrm_task_user_tasks_tab:
            label: 'orocrm.task.widgets.account_tasks'
            extras:
                position: 10
                widgetAcl: 'orocrm_task_view'
                widgetRoute: 'orocrm_task_widget_user_tasks'

        orocrm_task_account_tasks_tab:
            label: 'orocrm.task.widgets.account_tasks'
            extras:
                position: 10
                widgetAcl: 'orocrm_task_view'
                widgetRoute: 'orocrm_task_widget_account_tasks'

        orocrm_task_contact_tasks_tab:
            label: 'orocrm.task.widgets.account_tasks'
            extras:
                position: 10
                widgetAcl: 'orocrm_task_view'
                widgetRoute: 'orocrm_task_widget_contact_tasks'

    tree:
        application_menu:
            children:
                activities_tab:
                    children:
                        task_list: ~

        user_activity_tab_panel:
            children:
                orocrm_task_user_tasks_tab: ~

        account_activity_tab_panel:
            children:
                orocrm_task_account_tasks_tab: ~

        contact_activity_tab_panel:
            children:
                orocrm_task_contact_tasks_tab: ~

oro_titles:
    orocrm_task_index: ~
    orocrm_task_view: '%%entity.subject%%'
    orocrm_task_create: oro.ui.create_entity
    orocrm_task_update: '%%entity.subject%% - Edit'
